POST
https://api.cryptohopper.com/v1/backtest/{id}/restart
Runs one of your backtests again with the current config of its template or bot and the settings you send. Settings you leave out fall back to the last month as date range, the start balance of the previous run and your highest plan.
OAuth scope:
read manage About scopes
Requires an active subscription or trial; otherwise the request is refused with 403.
Example request
curl -X POST "https://api.cryptohopper.com/v1/backtest/BACKTEST_ID/restart" \
-H "access-token: YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"start_date":"2026-08-01 00:00:00","end_date":"2026-08-31 00:00:00","start_amount":1000,"maker_fee":0.1,"taker_fee":0.1,"subscription_id":3}'
const response = await fetch('https://api.cryptohopper.com/v1/backtest/BACKTEST_ID/restart', {
method: 'POST',
headers: {
"access-token": "YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"start_date": "2026-08-01 00:00:00",
"end_date": "2026-08-31 00:00:00",
"start_amount": 1000,
"maker_fee": 0.1,
"taker_fee": 0.1,
"subscription_id": 3
})
});
const data = await response.json();
import requests
response = requests.post(
"https://api.cryptohopper.com/v1/backtest/BACKTEST_ID/restart",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
json={
"start_date": "2026-08-01 00:00:00",
"end_date": "2026-08-31 00:00:00",
"start_amount": 1000,
"maker_fee": 0.1,
"taker_fee": 0.1,
"subscription_id": 3
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/backtest/BACKTEST_ID/restart');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode([
'start_date' => '2026-08-01 00:00:00',
'end_date' => '2026-08-31 00:00:00',
'start_amount' => 1000,
'maker_fee' => 0.1,
'taker_fee' => 0.1,
'subscription_id' => 3,
]),
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Backtest ID, as returned by List backtests. |
Response
{
"data": "Backtest restarted."
}